summaryrefslogtreecommitdiffstats
path: root/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/xfce4-settings/xfce4-settings.SlackBuild')
-rwxr-xr-xsource/xfce/xfce4-settings/xfce4-settings.SlackBuild15
1 files changed, 10 insertions, 5 deletions
diff --git a/source/xfce/xfce4-settings/xfce4-settings.SlackBuild b/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
index 6e400455a..cc85ed8ce 100755
--- a/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
+++ b/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
PKGNAM=xfce4-settings
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -38,8 +38,8 @@ fi
NUMJOBS=${NUMJOBS:--j6}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -74,6 +74,11 @@ find . \
zcat $CWD/xfce4-settings.theme.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/xfce4-settings.xft.defaults.diff.gz | patch -p1 --verbose || exit 1
+# Fix monitor wake from standby with 4.4.x kernel:
+zcat $CWD/xfce.xfsettingsd.display.crtc.diff.gz | patch -p1 --verbose || exit 1
+
+patch -p1 < $CWD/0001-Make-sure-icon-NULL-if-no-icon-is-found.patch
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \